Package org.springframework.beans.propertyeditors

# Class InputSourceEditor

java.lang.Object
java.beans.PropertyEditorSupport
org.springframework.beans.propertyeditors.InputSourceEditor

All Implemented Interfaces:
  `PropertyEditor`

public class InputSourceEditor extends PropertyEditorSupport
Editor for `org.xml.sax.InputSource`, converting from a Spring resource location String to a SAX InputSource object.

Supports Spring-style URL notation: any fully qualified standard URL ("file:", "http:", etc) and Spring's special "classpath:" pseudo-URL.

Since:
  3.0.3
Author:
  Juergen Hoeller
See Also:
  - `InputSource`
  - `ResourceEditor`
  - `ResourceLoader`
  - `URLEditor`
  - `FileEditor`

## Constructor Summary

Constructors
Constructor
Description
`InputSourceEditor()`
Create a new InputSourceEditor, using the default ResourceEditor underneath.
`InputSourceEditor(org.springframework.core.io.ResourceEditor resourceEditor)`
Create a new InputSourceEditor, using the given ResourceEditor underneath.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAsText()`
`void`
`setAsText(String text)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InputSourceEditor

public InputSourceEditor()
Create a new InputSourceEditor, using the default ResourceEditor underneath.

### InputSourceEditor

public InputSourceEditor(org.springframework.core.io.ResourceEditor resourceEditor)
Create a new InputSourceEditor, using the given ResourceEditor underneath.

Parameters:
  `resourceEditor` - the ResourceEditor to use

## Method Details

### setAsText

public void setAsText(String text) throws IllegalArgumentException

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`
Throws:
  `IllegalArgumentException`

### getAsText

public String getAsText()

Specified by:
  `getAsText` in interface `PropertyEditor`
Overrides:
  `getAsText` in class `PropertyEditorSupport`